import 'package:flutter/material.dart';
import 'package:flutter_widget_from_html_core/flutter_widget_from_html_core.dart';

import '../models/user_notification.dart';
import '../utils/dateutils.dart';

class NotificationControl extends StatelessWidget {
  final UserNotification notification;

  const NotificationControl({
    super.key,
    required this.notification,
  });

  @override
  Widget build(BuildContext context) {
    return ListTile(
      tileColor: notification.seen ? null : Colors.black12,
      leading: Text(notification.fromName),
      title: HtmlWidget(notification.content),
      subtitle:
          Text(ElapsedDateUtils.epochSecondsToString(notification.timestamp)),
      trailing: notification.seen
          ? null
          : IconButton(onPressed: () {}, icon: Icon(Icons.close_rounded)),
    );
  }
}
