import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';

import '../models/media_attachment.dart';

class ImageViewerScreen extends StatelessWidget {
  final MediaAttachment attachment;

  const ImageViewerScreen({super.key, required this.attachment});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(),
      body: Stack(
        children: [
          Container(
              color: Theme.of(context).backgroundColor,
              height: MediaQuery.of(context).size.height,
              child: InteractiveViewer(
                child: CachedNetworkImage(imageUrl: attachment.uri.toString()),
                maxScale: 10.0,
              )),
        ],
      ),
    );
  }
}
