import '../../models/connection.dart';

extension ConnectionMastodonExtensions on Connection {
  static Connection fromJson(Map<String, dynamic> json) {
    final name = json['display_name'] ?? '';
    final id = json['id'] ?? '';
    final profileUrl = Uri.parse(json['url'] ?? '');
    const network = 'Mastodon';
    final avatar = Uri.tryParse(json['avatar_static'] ?? '') ?? Uri();

    return Connection(
      name: name,
      id: id,
      profileUrl: profileUrl,
      network: network,
      avatarUrl: avatar,
    );
  }
}
